# class KAboutApplication | Standard "About Application" dialog box. More...
Definition | `#include <kaboutapplication.h>`
Inherits | KAboutDialog [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAboutApplication ( QWidget *parent=0, const char *name=0, bool modal=true )
- KAboutApplication ( const KAboutData *aboutData, QWidget *parent=0, const char *name=0, bool modal=true )

#### Protected Methods

- void buildDialog ( const KAboutData *aboutData )

## Detailed Description

This class provides the standard "About Application" dialog box that is used by KHelpMenu. It uses the information of the global KAboutData that is specified at the start of you program in main(). Normally you should not use this class directly but rather the KHelpMenu class or even better just subclass your toplevel window from KMainWindow. If you do the latter, the help menu and thereby this dialog box is available through the KMainWindow::helpMenu() function.

KAboutApplication ( QWidget *parent=0, const char *name=0, bool modal=true ) | ### KAboutApplication

Constructor. Creates a fully featured "About Application" dialog box. Note that this dialog is made modeless in the KHelpMenu class so the users may expect a modeless dialog.

Parameters:

parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
name | Internal name of the widget. This name is not used in the caption.
modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec().

KAboutApplication ( const KAboutData *aboutData, QWidget *parent=0, const char *name=0, bool modal=true ) | ### KAboutApplication

Constructor. Mostly does the same stuff as the above constructor, except that it can take a custom KAboutData object instead of the one specified in your main() function. This is especially useful for applications which are implemented as (dynamically loaded) libraries, e.g. panel applets.

Parameters:

aboutData | A pointer to a KAboutData object which data will be used for filling the dialog.
parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
name | Internal name of the widget. This name is not used in the caption.
modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec().

void buildDialog ( const KAboutData *aboutData ) | ### buildDialog

[protected]

- Version: $Id
- Author: Waldo Bastian (bastian@kde.org) and Espen Sand (espen@kde.org)
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.